net.minecraft.entity.passive

## Class EntityOcelot

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature
        - - net.minecraft.entity.EntityAgeable
          - - net.minecraft.entity.passive.EntityAnimal
            - - net.minecraft.entity.passive.EntityTameable
              - - net.minecraft.entity.passive.EntityOcelot

- All Implemented Interfaces:
    IEntityOwnable, IAnimals

      public class EntityOcelot
      extends EntityTameable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.passive.EntityTameable

      `aiSit`

    - ### Fields inherited from class net.minecraft.entity.EntityCreature

      `entityToAttack, field_110179_h, field_110181_i, fleeingTick, hasAttacked`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `defaultPitch, equipmentDropChances, experienceValue, livingSoundTime, numTicksToChaseTarget, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityOcelot(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyEntityAttributes()`
    `boolean` | `attackEntityAsMob(Entity par1Entity)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `protected boolean` | `canDespawn()`
    `boolean` | `canMateWith(EntityAnimal par1EntityAnimal)`
    `EntityOcelot` | `createChild(EntityAgeable par1EntityAgeable)`
    `protected void` | `dropFewItems(boolean par1, int par2)`
    `protected void` | `entityInit()`
    `protected void` | `fall(float par1)`
    `boolean` | `getCanSpawnHere()`
    `java.lang.String` | `getCommandSenderName()`
    `protected java.lang.String` | `getDeathSound()`
    `protected Item` | `getDropItem()`
    `protected java.lang.String` | `getHurtSound()`
    `protected java.lang.String` | `getLivingSound()`
    `protected float` | `getSoundVolume()`
    `int` | `getTameSkin()`
    `boolean` | `interact(EntityPlayer par1EntityPlayer)`
    `boolean` | `isAIEnabled()`
    `boolean` | `isBreedingItem(ItemStack par1ItemStack)`
    `IEntityLivingData` | `onSpawnWithEgg(IEntityLivingData par1EntityLivingData)`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setTameSkin(int par1)`
    `void` | `updateAITick()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.passive.EntityTameable

      `func_142018_a, func_70907_r, getOwner, getOwnerName, getTeam, handleHealthUpdate, isOnSameTeam, isSitting, isTamed, playTameEffect, setOwner, setSitting, setTamed`

    - ### Methods inherited from class net.minecraft.entity.passive.EntityAnimal

      `attackEntity, findPlayerToAttack, func_146082_f, func_146083_cb, getBlockPathWeight, getExperiencePoints, getTalkInterval, isInLove, onLivingUpdate, resetInLove`

    - ### Methods inherited from class net.minecraft.entity.EntityAgeable

      `addGrowth, getGrowingAge, isChild, setGrowingAge, setScale, setScaleForAge, setSize`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `detachHome, func_110174_bM, func_142017_o, getEntityToAttack, getHomePosition, hasHome, hasPath, isMovementCeased, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, setHomeArea, setPathToEntity, setTarget, updateEntityActionState, updateLeashedState, updateWanderPath`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addRandomArmor, allowLeashing, canAttackClass, canBeSteered, canPickUpLoot, clearLeashed, despawnEntity, dropEquipment, eatGrassBonus, enchantEquipment, faceEntity, func_110146_f, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCustomNameTag, getEntitySenses, getEquipmentInSlot, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLookHelper, getMaxSafePointTries, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getRenderSizeModifier, getVerticalFaceSpeed, hasCustomNameTag, interactFirst, isNoDespawnRequired, onEntityUpdate, onUpdate, playLivingSound, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle, updateAITasks`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, dropRareDrop, func_110142_aN, func_142015_aE, func_146066_aG, func_146067_o, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getEntityAttribute, getEyeHeight, getHealth, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSwingProgress, getTotalArmorValue, heal, isClientWorld, isEntityAlive, isEntityUndead, isMovementBlocked, isOnLadder, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, moveEntityWithHeading, onChangedPotionEffect, onDeath, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityOcelot

          public EntityOcelot(World par1World)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityTameable`

    - #### updateAITick

          public void updateAITick()

      Overrides:
        `updateAITick` in class `EntityAnimal`

    - #### canDespawn

          protected boolean canDespawn()

      Overrides:
        `canDespawn` in class `EntityAnimal`

    - #### isAIEnabled

          public boolean isAIEnabled()

      Overrides:
        `isAIEnabled` in class `EntityLiving`

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

      Overrides:
        `applyEntityAttributes` in class `EntityLiving`

    - #### fall

          protected void fall(float par1)

      Overrides:
        `fall` in class `EntityLivingBase`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityTameable`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityTameable`

    - #### getLivingSound

          protected java.lang.String getLivingSound()

      Overrides:
        `getLivingSound` in class `EntityLiving`

    - #### getHurtSound

          protected java.lang.String getHurtSound()

      Overrides:
        `getHurtSound` in class `EntityLivingBase`

    - #### getDeathSound

          protected java.lang.String getDeathSound()

      Overrides:
        `getDeathSound` in class `EntityLivingBase`

    - #### getSoundVolume

          protected float getSoundVolume()

      Overrides:
        `getSoundVolume` in class `EntityLivingBase`

    - #### getDropItem

          protected Item getDropItem()

      Overrides:
        `getDropItem` in class `EntityLiving`

    - #### attackEntityAsMob

          public boolean attackEntityAsMob(Entity par1Entity)

      Overrides:
        `attackEntityAsMob` in class `EntityLivingBase`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityAnimal`

    - #### dropFewItems

          protected void dropFewItems(boolean par1,
                          int par2)

      Overrides:
        `dropFewItems` in class `EntityLiving`

    - #### interact

          public boolean interact(EntityPlayer par1EntityPlayer)

      Overrides:
        `interact` in class `EntityAnimal`

    - #### createChild

          public EntityOcelot createChild(EntityAgeable par1EntityAgeable)

      Specified by:
        `createChild` in class `EntityAgeable`

    - #### isBreedingItem

          public boolean isBreedingItem(ItemStack par1ItemStack)

      Overrides:
        `isBreedingItem` in class `EntityAnimal`

    - #### canMateWith

          public boolean canMateWith(EntityAnimal par1EntityAnimal)

      Overrides:
        `canMateWith` in class `EntityAnimal`

    - #### getTameSkin

          public int getTameSkin()

    - #### setTameSkin

          public void setTameSkin(int par1)

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

      Overrides:
        `getCanSpawnHere` in class `EntityAnimal`

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Overrides:
        `getCommandSenderName` in class `EntityLiving`

    - #### onSpawnWithEgg

          public IEntityLivingData onSpawnWithEgg(IEntityLivingData par1EntityLivingData)

      Overrides:
        `onSpawnWithEgg` in class `EntityLiving`